// SPDX-FileCopyrightText: 2019 Anne Barela for Adafruit Industries
//
// SPDX-License-Identifier: MIT

/********************************************************************* 
 Basic snowflake code (without Bluetooth)
 
  Accompanies the Adafruit guide 
  https://learn.adafruit.com/neopixel-matrix-snowflake-sweater

 Adafruit invests time and resources providing this open s  ource code,
 please support Adafruit and open-source hardware by purchasing
 products from Adafruit!
 
 MIT license, check LICENSE for more information
 All text above, and the splash screen below must be included in
 any redistribution
*********************************************************************/
#include <Adafruit_NeoPixel.h>
#include <Adafruit_GFX.h>
#include <Adafruit_NeoMatrix.h>
#define BLACK 0x0000
#define BLUE 0x001F
#define RED 0xF800
#define GREEN 0x07E0
#define CYAN 0x07FF
#define MAGENTA 0xF81F
#define YELLOW 0xFFE0
#define WHITE 0xFFFF
/*=========================================================================
    APPLICATION SETTINGS
                              
    MATRIX DECLARATION        Parameter 1 = width of NeoPixel matrix
                              Parameter 2 = height of matrix
                              Parameter 3 = pin number (most are valid)
                              Parameter 4 = matrix layout flags, add together as needed:
    NEO_MATRIX_TOP,
    NEO_MATRIX_BOTTOM,
    NEO_MATRIX_LEFT,
    NEO_MATRIX_RIGHT          Position of the FIRST LED in the matrix; pick two, e.g.
                              NEO_MATRIX_TOP + NEO_MATRIX_LEFT for the top-left corner.
                              NEO_MATRIX_ROWS, NEO_MATRIX_COLUMNS: LEDs are arranged in horizontal
                              rows or in vertical columns, respectively; pick one or the other.
    NEO_MATRIX_PROGRESSIVE,
    NEO_MATRIX_ZIGZAG         all rows/columns proceed in the same order, 
                              or alternate lines reverse direction; pick one.
 
                              See example below for these values in action.
    
    Parameter 5 = pixel type flags, add together as needed:
                              
    NEO_KHZ800                800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
    NEO_KHZ400                400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
    NEO_GRB                   Pixels are wired for GRB bitstream (most NeoPixel products)
    NEO_RGB                   Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
    -----------------------------------------------------------------------*/
    #define FACTORYRESET_ENABLE     1
 
    #define PIN                     10   // Which pin on the Arduino is connected to the NeoPixels?
 
// Example for NeoPixel 8x8 Matrix.  In this application we'd like to use it 
// with the back text positioned along the bottom edge.
// When held that way, the first pixel is at the top left, and
// lines are arranged in columns, zigzag order.  The 8x8 matrix uses
// 800 KHz (v2) pixels that expect GRB color data.
Adafruit_NeoMatrix matrix = Adafruit_NeoMatrix(16, 16, PIN,
  NEO_MATRIX_TOP     + NEO_MATRIX_LEFT +
  NEO_MATRIX_COLUMNS + NEO_MATRIX_ZIGZAG,
  NEO_GRB            + NEO_KHZ800);
/*=========================================================================*/
 
void setup(void)
{
  matrix.begin();
  matrix.setBrightness(20);
 
  matrix.fillScreen(0);
  matrix.show(); // This sends the updated pixel colors to the hardware.
}
 
void loop(void)
{
        matrix.fillScreen(0);
        heart1(matrix.Color(200, 200, 200));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        heart2(matrix.Color(255, 0, 0));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        heart3(matrix.Color(0, 255, 0));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        heart4(matrix.Color(200, 200, 200));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        heart5(matrix.Color(255, 0, 0));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
//        SnowFlake6(matrix.Color(0, 255, 0));
//        matrix.show(); // This sends the updated pixel colors to the hardware.
//        delay(500);
//        matrix.fillScreen(0);
//        SnowFlake7(matrix.Color(200, 200, 200));
//        matrix.show(); // This sends the updated pixel colors to the hardware.
//        matrix.fillScreen(0);
//        SnowFlake8(matrix.Color(255, 0, 0));
//        matrix.show(); // This sends the updated pixel colors to the hardware.
//        delay(500);       
}
 
void heart1(uint32_t c){
//  matrix.drawLine(0, 4, 4, 0, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(8, 0, 12, 4, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 8, 4, 12, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(8, 12, 12, 4, RED); // x0, y0, x1, y1, color
//  matrix.drawFastVLine(6, 0, 14, RED); // x0, y0, length, color
//  matrix.drawFastHLine(0, 6, 14, RED); // x0, y0, length, color
  matrix.drawPixel(7, 7, RED); // x, y, color
  matrix.drawPixel(7, 8, RED); // x, y, color
  matrix.drawPixel(8, 7, RED); // x, y, color
  matrix.drawPixel(8, 8, RED); // x, y, color
}
 
void heart2(uint32_t c){
//  matrix.drawFastVLine(12, 0, 14, RED); // x0, y0, length, color
//  matrix.drawFastHLine(0, 6, 14, RED); // x0, y0, length, color
//  matrix.drawLine(2, 2, 10, 10, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(2, 10, 10, 2, RED); // x0, y0, x1, y1, color
//  matrix.drawPixel(7, 7, 0); // x, y, color
  matrix.drawPixel(5, 7, RED); // x, y, color
  matrix.drawPixel(5, 8, RED); // x, y, color
  matrix.drawPixel(5, 9, RED); // x, y, color
  matrix.drawPixel(5, 10, RED); // x, y, color
  matrix.drawPixel(6, 6, RED); // x, y, color
  matrix.drawPixel(6, 7, RED); // x, y, color
  matrix.drawPixel(6, 8, RED); // x, y, color
  matrix.drawPixel(6, 9, RED); // x, y, color
  matrix.drawPixel(6, 10, RED); // x, y, color
  matrix.drawPixel(7, 5, RED); // x, y, color
  matrix.drawPixel(7, 6, RED); // x, y, color
  matrix.drawPixel(7, 7, RED); // x, y, color
  matrix.drawPixel(7, 8, RED); // x, y, color
  matrix.drawPixel(7, 9, RED); // x, y, color
  matrix.drawPixel(8, 5, RED); // x, y, color
  matrix.drawPixel(8, 6, RED); // x, y, color
  matrix.drawPixel(8, 7, RED); // x, y, color
  matrix.drawPixel(8, 8, RED); // x, y, color
  matrix.drawPixel(8, 9, RED); // x, y, color
  matrix.drawPixel(9, 6, RED); // x, y, color
  matrix.drawPixel(9, 7, RED); // x, y, color
  matrix.drawPixel(9, 8, RED); // x, y, color
  matrix.drawPixel(9, 9, RED); // x, y, color
  matrix.drawPixel(9, 10, RED); // x, y, color
  matrix.drawPixel(10, 7, RED); // x, y, color
  matrix.drawPixel(10, 8, RED); // x, y, color
  matrix.drawPixel(10, 9, RED); // x, y, color
  matrix.drawPixel(10, 10, RED); // x, y, color
  
}
 
void heart3(uint32_t c){
//  matrix.drawLine(0, 4, 4, 0, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 8, 8, 0, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(2, 10, 10, 2, RED); // x0, y0, x1, y1, color
//  matrix.drawPixel(7, 7, 0); // x, y, color
//  matrix.drawRect(4, 4, 6, 6, RED); // x0, y0, width, height
//  matrix.drawLine(4, 12, 12, 4, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(8, 12, 12, 8, RED); // x0, y0, x1, y1, color
  matrix.drawPixel(4, 7, RED); // x, y, color
  matrix.drawPixel(4, 8, RED); // x, y, color
  matrix.drawPixel(4, 9, RED); // x, y, color
  matrix.drawPixel(4, 10, RED); // x, y, color
  matrix.drawPixel(5, 6, RED); // x, y, color
  matrix.drawPixel(5, 7, RED); // x, y, color
  matrix.drawPixel(5, 8, RED); // x, y, color
  matrix.drawPixel(5, 9, RED); // x, y, color
  matrix.drawPixel(5, 10, RED); // x, y, color
  matrix.drawPixel(5, 11, RED); // x, y, color
  matrix.drawPixel(6, 5, RED); // x, y, color
  matrix.drawPixel(6, 6, RED); // x, y, color
  matrix.drawPixel(6, 7, RED); // x, y, color
  matrix.drawPixel(6, 8, RED); // x, y, color
  matrix.drawPixel(6, 9, RED); // x, y, color
  matrix.drawPixel(6, 10, RED); // x, y, color
  matrix.drawPixel(6, 11, RED); // x, y, color
  matrix.drawPixel(7, 4, RED); // x, y, color
  matrix.drawPixel(7, 5, RED); // x, y, color
  matrix.drawPixel(7, 6, RED); // x, y, color
  matrix.drawPixel(7, 7, RED); // x, y, color
  matrix.drawPixel(7, 8, RED); // x, y, color
  matrix.drawPixel(7, 9, RED); // x, y, color
  matrix.drawPixel(7, 10, RED); // x, y, color
  matrix.drawPixel(8, 4, RED); // x, y, color
  matrix.drawPixel(8, 5, RED); // x, y, color
  matrix.drawPixel(8, 6, RED); // x, y, color
  matrix.drawPixel(8, 7, RED); // x, y, color
  matrix.drawPixel(8, 8, RED); // x, y, color
  matrix.drawPixel(8, 9, RED); // x, y, color
  matrix.drawPixel(8, 10, RED); // x, y, color
  matrix.drawPixel(9, 5, RED); // x, y, color
  matrix.drawPixel(9, 6, RED); // x, y, color
  matrix.drawPixel(9, 7, RED); // x, y, color
  matrix.drawPixel(9, 8, RED); // x, y, color
  matrix.drawPixel(9, 9, RED); // x, y, color
  matrix.drawPixel(9, 10, RED); // x, y, color
  matrix.drawPixel(9, 11, RED); // x, y, color
  matrix.drawPixel(10, 6, RED); // x, y, color
  matrix.drawPixel(10, 7, RED); // x, y, color
  matrix.drawPixel(10, 8, RED); // x, y, color
  matrix.drawPixel(10, 9, RED); // x, y, color
  matrix.drawPixel(10, 10, RED); // x, y, color
  matrix.drawPixel(10, 11, RED); // x, y, color
  matrix.drawPixel(11, 7, RED); // x, y, color
  matrix.drawPixel(11, 8, RED); // x, y, color
  matrix.drawPixel(11, 9, RED); // x, y, color
  matrix.drawPixel(11, 10, RED); // x, y, color

}
 
void heart4(uint32_t c){
//  matrix.drawRect(4, 4, 6, 6, RED); // x0, y0, width, height
//  matrix.drawLine(0, 6, 6, 0, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(6, 12, 12, 6, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(8, 2, 10, 4, RED); // x0, y0, x1, y1, color
//  matrix.drawLine(2, 8, 4, 10, RED); // x0, y0, x1, y1, color
//  matrix.drawPixel(0, 0, RED); // x, y, color
//  matrix.drawPixel(0, 12, RED); // x, y, color
//  matrix.drawPixel(12, 0, RED); // x, y, color
//  matrix.drawPixel(12, 12, RED); // x, y, color
  matrix.drawPixel(2, 7, RED); // x, y, color
  matrix.drawPixel(2, 8, RED); // x, y, color
  matrix.drawPixel(2, 9, RED); // x, y, color
  matrix.drawPixel(2, 10, RED); // x, y, color
  matrix.drawPixel(2, 11, RED); // x, y, color
  matrix.drawPixel(2, 12, RED); // x, y, color
  matrix.drawPixel(3, 6, RED); // x, y, color
  matrix.drawPixel(3, 7, RED); // x, y, color
  matrix.drawPixel(3, 8, RED); // x, y, color
  matrix.drawPixel(3, 9, RED); // x, y, color
  matrix.drawPixel(3, 10, RED); // x, y, color
  matrix.drawPixel(3, 11, RED); // x, y, color
  matrix.drawPixel(3, 12, RED); // x, y, color
  matrix.drawPixel(3, 13, RED); // x, y, color
  matrix.drawPixel(4, 5, RED); // x, y, color
  matrix.drawPixel(4, 6, RED); // x, y, color
  matrix.drawPixel(4, 7, RED); // x, y, color
  matrix.drawPixel(4, 8, RED); // x, y, color
  matrix.drawPixel(4, 9, RED); // x, y, color
  matrix.drawPixel(4, 10, RED); // x, y, color
  matrix.drawPixel(4, 11, RED); // x, y, color
  matrix.drawPixel(4, 12, RED); // x, y, color
  matrix.drawPixel(4, 13, RED); // x, y, color
  matrix.drawPixel(5, 4, RED); // x, y, color
  matrix.drawPixel(5, 5, RED); // x, y, color
  matrix.drawPixel(5, 6, RED); // x, y, color
  matrix.drawPixel(5, 7, RED); // x, y, color
  matrix.drawPixel(5, 8, RED); // x, y, color
  matrix.drawPixel(5, 9, RED); // x, y, color
  matrix.drawPixel(5, 10, RED); // x, y, color
  matrix.drawPixel(5, 11, RED); // x, y, color
  matrix.drawPixel(5, 12, RED); // x, y, color
  matrix.drawPixel(5, 13, RED); // x, y, color
  matrix.drawPixel(6, 3, RED); // x, y, color
  matrix.drawPixel(6, 4, RED); // x, y, color
  matrix.drawPixel(6, 5, RED); // x, y, color
  matrix.drawPixel(6, 6, RED); // x, y, color
  matrix.drawPixel(6, 7, RED); // x, y, color
  matrix.drawPixel(6, 8, RED); // x, y, color
  matrix.drawPixel(6, 9, RED); // x, y, color
  matrix.drawPixel(6, 10, RED); // x, y, color
  matrix.drawPixel(6, 11, RED); // x, y, color
  matrix.drawPixel(6, 12, RED); // x, y, color
  matrix.drawPixel(7, 2, RED); // x, y, color
  matrix.drawPixel(7, 3, RED); // x, y, color
  matrix.drawPixel(7, 4, RED); // x, y, color
  matrix.drawPixel(7, 5, RED); // x, y, color
  matrix.drawPixel(7, 6, RED); // x, y, color
  matrix.drawPixel(7, 7, RED); // x, y, color
  matrix.drawPixel(7, 8, RED); // x, y, color
  matrix.drawPixel(7, 9, RED); // x, y, color
  matrix.drawPixel(7, 10, RED); // x, y, color
  matrix.drawPixel(7, 11, RED); // x, y, color
  matrix.drawPixel(8, 2, RED); // x, y, color
  matrix.drawPixel(8, 3, RED); // x, y, color
  matrix.drawPixel(8, 4, RED); // x, y, color
  matrix.drawPixel(8, 5, RED); // x, y, color
  matrix.drawPixel(8, 6, RED); // x, y, color
  matrix.drawPixel(8, 7, RED); // x, y, color
  matrix.drawPixel(8, 8, RED); // x, y, color
  matrix.drawPixel(8, 9, RED); // x, y, color
  matrix.drawPixel(8, 10, RED); // x, y, color
  matrix.drawPixel(8, 11, RED); // x, y, color
  matrix.drawPixel(9, 3, RED); // x, y, color
  matrix.drawPixel(9, 4, RED); // x, y, color
  matrix.drawPixel(9, 5, RED); // x, y, color
  matrix.drawPixel(9, 6, RED); // x, y, color
  matrix.drawPixel(9, 7, RED); // x, y, color
  matrix.drawPixel(9, 8, RED); // x, y, color
  matrix.drawPixel(9, 9, RED); // x, y, color
  matrix.drawPixel(9, 10, RED); // x, y, color
  matrix.drawPixel(9, 11, RED); // x, y, color
  matrix.drawPixel(9, 12, RED); // x, y, color
  matrix.drawPixel(10, 4, RED); // x, y, color
  matrix.drawPixel(10, 5, RED); // x, y, color
  matrix.drawPixel(10, 6, RED); // x, y, color
  matrix.drawPixel(10, 7, RED); // x, y, color
  matrix.drawPixel(10, 8, RED); // x, y, color
  matrix.drawPixel(10, 9, RED); // x, y, color
  matrix.drawPixel(10, 10, RED); // x, y, color
  matrix.drawPixel(10, 11, RED); // x, y, color
  matrix.drawPixel(10, 12, RED); // x, y, color
  matrix.drawPixel(10, 13, RED); // x, y, color
  matrix.drawPixel(11, 5, RED); // x, y, color
  matrix.drawPixel(11, 6, RED); // x, y, color
  matrix.drawPixel(11, 7, RED); // x, y, color
  matrix.drawPixel(11, 8, RED); // x, y, color
  matrix.drawPixel(11, 9, RED); // x, y, color
  matrix.drawPixel(11, 10, RED); // x, y, color
  matrix.drawPixel(11, 11, RED); // x, y, color
  matrix.drawPixel(11, 12, RED); // x, y, color
  matrix.drawPixel(11, 13, RED); // x, y, color
  matrix.drawPixel(12, 6, RED); // x, y, color
  matrix.drawPixel(12, 7, RED); // x, y, color
  matrix.drawPixel(12, 8, RED); // x, y, color
  matrix.drawPixel(12, 9, RED); // x, y, color
  matrix.drawPixel(12, 10, RED); // x, y, color
  matrix.drawPixel(12, 11, RED); // x, y, color
  matrix.drawPixel(12, 12, RED); // x, y, color
  matrix.drawPixel(12, 13, RED); // x, y, color
  matrix.drawPixel(13, 7, RED); // x, y, color
  matrix.drawPixel(13, 8, RED); // x, y, color
  matrix.drawPixel(13, 9, RED); // x, y, color
  matrix.drawPixel(13, 10, RED); // x, y, color
  matrix.drawPixel(13, 11, RED); // x, y, color
  matrix.drawPixel(13, 12, RED); // x, y, color
 
}
 
void heart5(uint32_t c){
//  matrix.fillRect(1, 1, 5, 5, c); // x0, y0, width, height
//  matrix.drawLine(0, 3, 3, 0, c); // x0, y0, x1, y1, color
//  matrix.drawLine(3, 6, 6, 3, c); // x0, y0, x1, y1, color
//  matrix.drawLine(1, 3, 3, 1, 0); // x0, y0, x1, y1, color
//  matrix.drawLine(3, 5, 5, 3, 0); // x0, y0, x1, y1, color
  matrix.drawPixel(2, 4, 0); // x, y, color
  matrix.drawPixel(4, 2, 0); // x, y, color
 
}
// 
//void SnowFlake6(uint32_t c){
//  matrix.fillRect(1, 1, 5, 5, c); // x0, y0, width, height
//  matrix.drawLine(1, 1, 5, 5, 0); // x0, y0, x1, y1, color
//  matrix.drawLine(1, 5, 5, 1, 0); // x0, y0, x1, y1, color
//  matrix.drawPixel(0, 3, c); // x, y, color
//  matrix.drawPixel(3, 0, c); // x, y, color
//  matrix.drawPixel(3, 6, c); // x, y, color
//  matrix.drawPixel(6, 3, c); // x, y, color
//}
// 
//void SnowFlake7(uint32_t c){
//  matrix.drawRect(2, 2, 3, 3, c); // x0, y0, width, height
//  matrix.drawFastVLine(3, 0, 7, c); // x0, y0, length, color
//  matrix.drawFastHLine(0, 3, 7, c); // x0, y0, length, color
//  matrix.drawFastVLine(3, 0, 7, c); // x0, y0, length, color
//  matrix.drawFastHLine(0, 3, 7, c); // x0, y0, length, color
//  matrix.drawPixel(3, 3, 0); // x, y, color
//  matrix.drawFastHLine(2, 0, 3, c); // x0, y0, length, color
//  matrix.drawFastHLine(2, 6, 3, c); // x0, y0, length, color
//  matrix.drawFastVLine(0, 2, 3, c); // x0, y0, length, color
//  matrix.drawFastVLine(6, 2, 3, c); // x0, y0, length, color
//}
// 
//void SnowFlake8(uint32_t c){
//  //four corners
//  matrix.drawPixel(0, 0, c); // x, y, color
//  matrix.drawPixel(0, 6, c); // x, y, color
//  matrix.drawPixel(6, 0, c); // x, y, color
//  matrix.drawPixel(6, 6, c); // x, y, color
  
//  //upper left corner
//  matrix.drawLine(0, 2, 2, 0, c); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 3, 3, 0, c); // x0, y0, x1, y1, color
//  
//  //center dot
//  matrix.drawPixel(3, 3, c); // x, y, color
// 
//  //upper right corner
//  matrix.drawLine(4, 0, 6, 2, c); // x0, y0, x1, y1, color
//  matrix.drawLine(3, 0, 6, 3, c); // x0, y0, x1, y1, color
//  
//  //lower left corner
//  matrix.drawLine(0, 3, 3, 6, c); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 4, 2, 6, c); // x0, y0, x1, y1, color
// 
//  //lower right corner
//  matrix.drawLine(3, 6, 6, 3, c); // x0, y0, x1, y1, color
//  matrix.drawLine(4, 6, 6, 4, c); // x0, y0, x1, y1, color
//}
//void SnowFlake9(uint32_t c){
//  //four corners
//  matrix.drawPixel(0, 0, c); // x, y, color
//  matrix.drawPixel(0, 6, c); // x, y, color
//  matrix.drawPixel(6, 0, c); // x, y, color
//  matrix.drawPixel(6, 6, c); // x, y, color
//  
//  //center dot
//  matrix.drawPixel(3, 3, c); // x, y, color
//  
//  //four boxes near center
//  matrix.drawRect(1, 1, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(4, 1, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(1, 4, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(4, 4, 2, 2, c); // x0, y0, width, height
//  
//  //clear out corner pixel of boxes
//  matrix.drawPixel(1, 1, 0); // x, y, color
//  matrix.drawPixel(5, 1, 0); // x, y, color
//  matrix.drawPixel(1, 5, 0); // x, y, color
//  matrix.drawPixel(5, 5, 0); // x, y, color
//}
// 
//void SnowFlake10(uint32_t c){
//  //lines across the corners
//  matrix.drawLine(0, 1, 1, 0, c); // x0, y0, x1, y1, color
//  matrix.drawLine(5, 0, 6, 1, c); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 5, 1, 6, c); // x0, y0, x1, y1, color
//  matrix.drawLine(5, 6, 6, 5, c); // x0, y0, x1, y1, color
//  
//  //center dot
//  matrix.drawPixel(3, 3, c); // x, y, color
//  
//  //four boxes near center
//  matrix.drawRect(1, 1, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(4, 1, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(1, 4, 2, 2, c); // x0, y0, width, height
//  matrix.drawRect(4, 4, 2, 2, c); // x0, y0, width, height
//  
//  //clear out corner pixel of boxes
//  matrix.drawPixel(1, 1, 0); // x, y, color
//  matrix.drawPixel(5, 1, 0); // x, y, color
//  matrix.drawPixel(1, 5, 0); // x, y, color
//  matrix.drawPixel(5, 5, 0); // x, y, color
//}
// 
//void SnowFlake11(uint32_t c){
//  //corner lines
//  matrix.drawLine(0, 2, 2, 0, c); // x0, y0, x1, y1, color
//  matrix.drawLine(4, 0, 6, 2, c); // x0, y0, x1, y1, color
//  matrix.drawLine(0, 4, 2, 6, c); // x0, y0, x1, y1, color
//  matrix.drawLine(4, 6, 6, 4, c); // x0, y0, x1, y1, color
//  
//  //center X
//  matrix.drawLine(2, 2, 4, 4, c); // x0, y0, x1, y1, color
//  matrix.drawLine(2, 4, 4, 2, c); // x0, y0, x1, y1, color
//  
//}
// 
////8x8
//void SnowFlake12(uint32_t c){
//  matrix.drawLine(1, 1, 6, 6, c); // x0, y0, x1, y1, color
//  matrix.drawLine(1, 6, 6, 1, c); // x0, y0, x1, y1, color
//  matrix.fillRect(3, 0, 2, 2, c); // x0, y0, width, height
//  matrix.fillRect(0, 3, 2, 2, c); // x0, y0, width, height
//  matrix.fillRect(6, 3, 2, 2, c); // x0, y0, width, height
//  matrix.fillRect(3, 6, 2, 2, c); // x0, y0, width, height
//  matrix.show();
// 
//}
 
/*
void showAllSnowflakes(uint32_t c){
        SnowFlake1(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake5(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake2(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake8(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0); 
        SnowFlake3(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake9(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake4(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake10(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake6(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake11(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake7(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500);
        matrix.fillScreen(0);
        SnowFlake11(matrix.Color(red, green, blue));
        matrix.show(); // This sends the updated pixel colors to the hardware.
        delay(500); 
}
*/
